<?php
require_once(getabspath("classes/cipherer.php"));



$tdataparticipante_ganador = array();
$tdataparticipante_ganador[".ShortName"] = "participante_ganador";

$tdataparticipante_ganador[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"]}" );
$tdataparticipante_ganador[".originalPagesByType"] = $tdataparticipante_ganador[".pagesByType"];
$tdataparticipante_ganador[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"]}" ) );
$tdataparticipante_ganador[".originalPages"] = $tdataparticipante_ganador[".pages"];
$tdataparticipante_ganador[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\"}" );
$tdataparticipante_ganador[".originalDefaultPages"] = $tdataparticipante_ganador[".defaultPages"];


//	field labels
$fieldLabelsparticipante_ganador = array();
$pageTitlesparticipante_ganador = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsparticipante_ganador["Spanish"] = array();
	$fieldLabelsparticipante_ganador["Spanish"]["pro_participante_id"] = "Id";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_participante_id_promocion"] = "Id Promocion";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_participante_apellido_materno"] = "Apellido Materno";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_participante_apellido_paterno"] = "Apellido Paterno";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_participante_ci"] = "Ci";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_participante_nombres"] = "Nombres";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_participante_placa"] = "Placa";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_participante_tipo_vehiculo"] = "Tipo Vehiculo";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_participante_telefono"] = "Telefono";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_ganador_id_ganador"] = "Id Ganador";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_ganador_premio"] = "Premio";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_ganador_fecha"] = "Fecha";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_ganador_foto"] = "Foto";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_ganador_id_promocion"] = "Promocion";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_ganador_monto_acumulado"] = "Monto Acumulado";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_ganador_placa_g"] = "Placa G";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_ganador_tipo_vehiculo"] = "Tipo Vehiculo";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_ganador_placa"] = "Placa";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_ganador_id"] = "Id";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_ganador_monto_premio"] = "Monto Premio";
	$fieldLabelsparticipante_ganador["Spanish"]["pro_ganador_monto_saldo"] = "Monto Saldo";
}

/*
//	search fields
$tdataparticipante_ganador[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"pro_participante", "field"=>"id" );
$tdataparticipante_ganador[".searchFields"]["pro_participante_id"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_participante", "field"=>"id_promocion" );
$tdataparticipante_ganador[".searchFields"]["pro_participante_id_promocion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_participante", "field"=>"apellido_materno" );
$tdataparticipante_ganador[".searchFields"]["pro_participante_apellido_materno"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_participante", "field"=>"apellido_paterno" );
$tdataparticipante_ganador[".searchFields"]["pro_participante_apellido_paterno"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_participante", "field"=>"ci" );
$tdataparticipante_ganador[".searchFields"]["pro_participante_ci"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_participante", "field"=>"nombres" );
$tdataparticipante_ganador[".searchFields"]["pro_participante_nombres"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_participante", "field"=>"placa" );
$tdataparticipante_ganador[".searchFields"]["pro_participante_placa"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_participante", "field"=>"tipo_vehiculo" );
$tdataparticipante_ganador[".searchFields"]["pro_participante_tipo_vehiculo"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_participante", "field"=>"telefono" );
$tdataparticipante_ganador[".searchFields"]["pro_participante_telefono"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_ganador", "field"=>"id_ganador" );
$tdataparticipante_ganador[".searchFields"]["pro_ganador_id_ganador"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_ganador", "field"=>"premio" );
$tdataparticipante_ganador[".searchFields"]["pro_ganador_premio"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_ganador", "field"=>"fecha" );
$tdataparticipante_ganador[".searchFields"]["pro_ganador_fecha"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_ganador", "field"=>"foto" );
$tdataparticipante_ganador[".searchFields"]["pro_ganador_foto"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_ganador", "field"=>"id_promocion" );
$tdataparticipante_ganador[".searchFields"]["pro_ganador_id_promocion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_ganador", "field"=>"monto_acumulado" );
$tdataparticipante_ganador[".searchFields"]["pro_ganador_monto_acumulado"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_ganador", "field"=>"placa_g" );
$tdataparticipante_ganador[".searchFields"]["pro_ganador_placa_g"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_ganador", "field"=>"tipo_vehiculo" );
$tdataparticipante_ganador[".searchFields"]["pro_ganador_tipo_vehiculo"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_ganador", "field"=>"placa" );
$tdataparticipante_ganador[".searchFields"]["pro_ganador_placa"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_ganador", "field"=>"id" );
$tdataparticipante_ganador[".searchFields"]["pro_ganador_id"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_ganador", "field"=>"monto_premio" );
$tdataparticipante_ganador[".searchFields"]["pro_ganador_monto_premio"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"pro_ganador", "field"=>"monto_saldo" );
$tdataparticipante_ganador[".searchFields"]["pro_ganador_monto_saldo"] = $dashField;

// all search fields
$tdataparticipante_ganador[".allSearchFields"] = array();
$tdataparticipante_ganador[".allSearchFields"][] = "pro_participante_id";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_participante_id_promocion";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_participante_apellido_materno";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_participante_apellido_paterno";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_participante_ci";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_participante_nombres";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_participante_placa";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_participante_tipo_vehiculo";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_participante_telefono";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_ganador_id_ganador";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_ganador_premio";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_ganador_fecha";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_ganador_foto";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_ganador_id_promocion";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_ganador_monto_acumulado";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_ganador_placa_g";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_ganador_tipo_vehiculo";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_ganador_placa";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_ganador_id";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_ganador_monto_premio";
$tdataparticipante_ganador[".allSearchFields"][] = "pro_ganador_monto_saldo";

// good like search fields
$tdataparticipante_ganador[".googleLikeFields"] = array();
$tdataparticipante_ganador[".googleLikeFields"][] = "pro_participante_id";
$tdataparticipante_ganador[".googleLikeFields"][] = "pro_participante_id_promocion";
$tdataparticipante_ganador[".googleLikeFields"][] = "pro_participante_apellido_materno";
$tdataparticipante_ganador[".googleLikeFields"][] = "pro_participante_apellido_paterno";
$tdataparticipante_ganador[".googleLikeFields"][] = "pro_participante_ci";
$tdataparticipante_ganador[".googleLikeFields"][] = "pro_participante_nombres";
$tdataparticipante_ganador[".googleLikeFields"][] = "pro_participante_placa";
$tdataparticipante_ganador[".googleLikeFields"][] = "pro_participante_tipo_vehiculo";
$tdataparticipante_ganador[".googleLikeFields"][] = "pro_participante_telefono";
*/

/*
$tdataparticipante_ganador[".dashElements"] = array();

	$dbelement = array( "elementName" => "pro_participante_grid", "table" => "pro_participante",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
		$dbelement["width"] = 800;
		$dbelement["height"] = 600;
	

	$tdataparticipante_ganador[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "pro_ganador_grid", "table" => "pro_ganador",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
		$dbelement["width"] = 800;
		$dbelement["height"] = 600;
	

	$tdataparticipante_ganador[".dashElements"][] = $dbelement;
*/
$tdataparticipante_ganador[".shortTableName"] = "participante_ganador";
$tdataparticipante_ganador[".entityType"] = 4;




$tdataparticipante_ganador[".hasEvents"] = false;


$tdataparticipante_ganador[".tableType"] = "dashboard";


											
$tdataparticipante_ganador[".addPageEvents"] = false;

$tdataparticipante_ganador[".isUseAjaxSuggest"] = true;

$tables_data["Participante/Ganador"]=&$tdataparticipante_ganador;
$field_labels["Participante_Ganador"] = &$fieldLabelsparticipante_ganador;
$page_titles["Participante_Ganador"] = &$pageTitlesparticipante_ganador;

?>